/*
 * LastAccessTime/LastWriteTime Updater
 *
 *          -- utime --  Common Routines
 *
 *                    Copyright (C) 1997,1998  Shuichi Kitaguchi
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "utime.h"


void PrintUsage( void )
{
  printf("utime - LastAccessDate/LastWriteTime Updater\n");
  printf("             Version %s + %s\n", UTIME_VERSION, UTIME_PLATFORM);
  printf("      Copyright (C) 1997,1998 Shuichi Kitaguchi\n");
  printf("\n");
  printf("Usage: utime <file/dir>\n");
}

void main( int argc, char *argv[] )
{
  if ( (argc!=2) || (!_stricmp( argv[1], "-h" )) ){
    PrintUsage();
    exit( 0 );
  }
#if 0
  printf("arg0=[%s] / arg1=[%s]\n",argv[0],argv[1]);
#endif
  UpdateTime( argv[1] );
}
